Nowe posty

Autor Wątek: Mint 19 - Jak dodać wyjątki do apt-get update aby nie pobierał nowego Firefoksa?  (Przeczytany 247 razy)

MójPan

  • Gość
Gdy użyję komendy sudo apt-get update a także apt-get upgrade, pobiera mi z automatu i instaluje nowe wersje Firefoksa.
Jak dodać wyjątek do apt-get aby pomijał aktualizacje programów od Mozilli?
Można stworzyć jakąś listę (edytowalną na później) dla programów których nie chcemy aktualizować?

Offline 1709

  • Users
  • Guru
  • *****
  • Wiadomości: 2361
  • 1709
    • Zobacz profil
Zabacz
https://askubuntu.com/questions/18654/how-to-prevent-updating-of-a-specific-package#18656
https://www.tecmint.com/disable-lock-blacklist-package-updates-ubuntu-debian-apt/
https://help.ubuntu.com/community/PinningHowto
https://dug.net.pl/tekst/163/priorytety_pakietow_(apt_pinning__pin_priority)/

Od biedy z jezykiem masz translatory on-line.
Pin-owanie pakietow powinno dzialac, ale ze nie robilem tego w Mincie
i plik moze byc w troche innym miejscu dlatego wolalem
zebys zobaczyl jak to wyglada / jak to dziala i sam poszukal / sprawdzil.
 Powodzenia.

...
Przykładowy wpis:

Cytuj
Package: perl
Pin: version 5.8*
Pin-Priority: 1001

Wpis ustawia wartość 1001 wszystkim wersjom pakietu perl rozpoczynającym się od „5.8”, niezależnie z jakiego repozytorium pochodzą. Nowsza wersja (np. zaczynająca się od „5.9”) nie zostanie zainstalowana nawet jeśli będzie dostępna,
« Ostatnia zmiana: 2019-10-26, 18:22:40 wysłana przez 1709 »
PS: Brak polskiej czcionki, nie jest to brak lenistwa, a jej brak w systemie i brak czasu na reczne poprawki.

Offline marcin'82

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 316
    • Zobacz profil
Staraj się używać polecenia apt full-upgrade LUB apt-get dist-upgrade zamiast apt upgrade.

Co do wstrzymywania pakietów, powinno działać:
apt-mark hold nazwa
http://manpages.ubuntu.com/manpages/trusty/man8/apt-mark.8.html .
marcin82

MójPan

  • Gość
Nie wiem dlaczego ale ciągle aktualizują mi się Thunderbird i Firefoks. Firefoksa ogarnąłem aby został na wersji 58 i na razie jest ok, już myślałem że Thunderbirda ogarnąłem i własnie widzę że ponownie jest w najnowszej wersji. Aktualizacji nie robiłem, nie wiem jakim cudem Tb sam się zaktualizował. W wersji 15.0 działa bardzo dobrze i nowsze krzaki mi zbędne. Firefoks dopiero po grzebaniu w about:config i po zmianie wszystkich adresów internetowych związanych z telemetrią/aktualizacją/dodatkami z ich domyślnych adresów na http://127.0.0.0 nie łączy się już z niczym i działa super. Widocznie Thunderbirda trzeba załatwić identycznie.